<template>
    <view class="cu-modal" :class="{'show': visible}">
        <view class="mask" @click="close"></view>
        <view class="cu-dialog" style="background-color: transparent; width:100%">
            <view class="relative wrapper flex-align-center">
                <image :src="resource.center_poster" webp class="poster" mode="widthFix" @click="showNext"/>
            </view>
            <view class="paddingT30 flex-align-center">
                <image :src="resource.close" class="x" @click="close" />
            </view>
        </view>
    </view>
</template>

<script>
import resource from '@/utils/resource'
export default {
    data() {
        return {
            resource,
            visible: false
        }
    },
    methods: {
        show() {
            this.visible = true
        },
        close() {
            this.visible = false
        },
        showNext() {
            if (this.$common.isLogin()) {
                this.close()
                this.$router.push('popularize')
                return
            }
            this.$router.login()
        }
    }
}
</script>

<style lang="scss" scoped>
.mask {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}
.wrapper {
    z-index: 2001;
    width: 100%;
    margin: 0 auto;
    position: relative;
    .poster {
        width: 92%;
        height: 0;
    }
}
.x {
    width: 60rpx;
    height: 60rpx;
}
</style>